// Описати своїми словами навіщо потрібні функції у програмуванні.
// Функція дозволяє безліч разів використовувати один і той же код з різними аргументами, та використовувати
// її безліч раз будь якому місці коду

// Описати своїми словами, навіщо у функцію передавати аргумент.
// При виклику функції до неї передаються вказані аргументи. До передачі аргументів у функції є параметри, але
// невідомі їх значення. При виклику функції, функція приймає аргумент та повертає результат

// Що таке оператор return та як він працює всередині функції?
// Зупиняе функцію та повертає результат

let a = prompt ("Введіть перше число").trim();
while (!a || isNaN(a)) {
    a=prompt("Перше число введено некоректно, спробуйте ще раз", `${a}`).trim()
}
let b = prompt ("Введіть друге число").trim();
while (!b || isNaN(b)) {
    b=prompt("Друге число введено некоректно, спробуйте ще раз", `${b}`).trim()
}
let c = prompt ("Введіть оперцію +,-,/,*").trim();
while (!c ) {
    c=prompt("Введіть оперцію +,-,/,*").trim()
}
function operation (x,y){
        
    switch (c) {
        case "-":
        return x-y;
        break;
        case "+":
        return (+x)+(+y)
        break;
        case "*":
        return x*y
        break;
        case "/" :
        return x/y
        break;
        default:
        alert ("Введена операція некоректна")
    }
}
console.log(operation(a,b))